From owner-linux-pci@atrey.karlin.mff.cuni.cz Tue Aug  9 17:11:22 2005
Date: Wed, 10 Aug 2005 02:09:39 +0200
Message-Id: <200508100009.j7A09dhS003704@wscnet.wsc.cz>
Subject: PCI: remove pci_find_device from parport_pc.c
From: Jiri Slaby <jirislaby@gmail.com>
To: Greg KH <greg@kroah.com>
Cc: Andrew Morton <akpm@osdl.org>

This patch changes pci_find_device to pci_get_device (encapsulated in
for_each_pci_dev).

Signed-off-by: Jiri Slaby <xslaby@fi.muni.cz>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/parport/parport_pc.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/parport/parport_pc.c	2005-09-08 09:07:17.000000000 -0700
+++ gregkh-2.6/drivers/parport/parport_pc.c	2005-09-08 09:20:09.000000000 -0700
@@ -3010,7 +3010,7 @@ static int __init parport_pc_init_superi
 	struct pci_dev *pdev = NULL;
 	int ret = 0;
 
-	while ((pdev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pdev)) != NULL) {
+	for_each_pci_dev(pdev) {
 		id = pci_match_id(parport_pc_pci_tbl, pdev);
 		if (id == NULL || id->driver_data >= last_sio)
 			continue;
